summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_node_health_check.sh2
-rwxr-xr-xjob-cfg/chroot-installation.yaml.py8
2 files changed, 8 insertions, 2 deletions
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index d29e6dbe..21087f9d 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -145,7 +145,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
# and we dont know why and when that happens,
# so just report those zombies here.
#
- ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a' || true)
+ ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a|stretch_install_education-thin-client-server' || true)
if [ ! -z "$ZOMBIES" ] ; then
echo "Warning, rise of the jenkins job zombies has started again, these jobs should not exist:"
for z in $ZOMBIES ; do
diff --git a/job-cfg/chroot-installation.yaml.py b/job-cfg/chroot-installation.yaml.py
index cbdedebf..500039f8 100755
--- a/job-cfg/chroot-installation.yaml.py
+++ b/job-cfg/chroot-installation.yaml.py
@@ -53,6 +53,7 @@ all_targets = [
'education-desktop-gnome',
'education-desktop-kde',
'education-desktop-lxde',
+ 'education-desktop-lxqt',
'education-desktop-mate',
'education-desktop-other',
'education-desktop-xfce',
@@ -80,11 +81,13 @@ all_targets = [
'education-music',
'education-networked',
'education-physics',
+ 'education-primaryschool',
'education-services',
'education-standalone',
'education-thin-client',
'education-thin-client-server',
'education-roaming-workstation',
+ 'education-video',
'education-workstation',
'parl-desktop-eu',
'parl-desktop-strict',
@@ -103,11 +106,14 @@ def is_target_in_distro(distro, target):
if distro in ('jessie') and target in ('education-ltsp-server', 'education-roaming-workstation'):
return False
# education-thin-client-server is obsolete since stretch…
- elif distro in ('sid', 'buster') and target == 'education-thin-client-server':
+ elif distro in ('sid', 'buster', 'stretch') and target == 'education-thin-client-server':
return False
# education-lang-*, parl-desktop* and design-desktop* packages only exist since stretch
elif distro in ('jessie') and (target[:15] == 'education-lang-' or target[:12] == 'parl-desktop' or target[:14] == 'design-desktop'):
return False
+ # education-desktop-lxqt, education-primaryschool and education-video packages only exist since buster
+ elif distro in ('jessie', 'stretch') and target in ('education-desktop-lxqt', 'education-primaryschool', 'education-video'):
+ return False
return True
#